Skip to main content
GET
/
templates
/
categories
List all template categories
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/campaigns/templates/categories \
  --header 'apikey: <api-key>' \
  --header 'appid: <appid>'

Documentation Index

Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your CometChat REST API Key.

Headers

appid
string
required

Tenant application ID

Query Parameters

updatedAt
number

Cursor: updatedAt unix timestamp of last item

id
string

Cursor: id of last item

affix
enum<string>

Cursor direction

Available options:
append,
prepend
limit
number
default:20

Items per page

Required range: 1 <= x <= 100
sort
enum<string>

Sort field

Available options:
name,
createdAt,
updatedAt
order
enum<string>

Sort direction

Available options:
asc,
desc

Response

200

Categories list